1

Topic: Release version of the operating system on this server is unsupported

==== Required information ====
- iRedMail version: 0.8.5
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version: freebsd 9.2
- Related log if you're reporting an issue:
ns352115# uname -a
FreeBSD ns352115.ip-91-121-79.eu 9.2-RELEASE FreeBSD 9.2-RELEASE #0 r255898: Thu Sep 26 22:50:31 UTC 2013     root@bake.isc.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64
ns352115#
ns352115# sh get_all.sh
********* ERROR *********
Release version of the operating system on this server is unsupported by
iRedMail, please access below link to get the latest iRedMail and a list
of supported Linux/BSD distributions and release versions.

http://www.iredmail.org/download.html

*************************
====

What is wrong?

2

Re: Release version of the operating system on this server is unsupported

iRedMail checks output of command "uname -r", what's the output of below command on your server?

# uname -r |awk -F'[.-]' '{print $1}'

3

Re: Release version of the operating system on this server is unsupported

# uname -r | awk -F'[.-]' '{print $1}'
9

4

Re: Release version of the operating system on this server is unsupported

No idea why it happened, all 9.x releases should be just fine. You can manually comment out below lines in file 'conf/global', then re-execute "bash iRedMail.sh":

    # Unsupported releases: 7, 8.                                                  
    if echo "${DISTRO_VERSION}" | grep '^[78]' &>/dev/null ; then                                                             
        export UNSUPPORTED_RELEASE='YES'                                           
    fi

5

Re: Release version of the operating system on this server is unsupported

Its works. Thanks

Can You paste me complete .status file after instalation on FreeBSD? I have installed mysql server and I have error:

< INFO > Ports tree: /usr/ports
< INFO > Fetching all distfiles for required ports (make fetch-recursive)
< INFO > Fetching all distfiles for port databases/mysql55-server and dependencies
===> Fetching all distfiles for mysql55-server-5.5.34 and dependencies
===>  mysql55-server-5.5.34 cannot install: MySQL versions mismatch: mysql56-client is installed and wanted version is mysql55-client.
*** [fetch] Error code 1

Stop in /usr/ports/databases/mysql55-server.
*** [fetch-recursive] Error code 1

Stop in /usr/ports/databases/mysql55-server.
< ERROR > Tarballs were not downloaded correctly, please fix it manually and then re-execute iRedMail.sh.

6

Re: Release version of the operating system on this server is unsupported

Looks like you have mysql56-client installed, but iRedMail tries to install mysql55-client and mysql55-server.
You can either remove mysql56-client first, then try iRedMail again. Or, modify file 'functions/packages_freebsd.sh' to use mysql56.

7 (edited by dong 2013-12-18 00:09:58)

Re: Release version of the operating system on this server is unsupported

Thanks for help. I have new problem:

[root@ns352115 ~/iRedMail-0.8.5]# /usr/local/etc/rc.d/mysql-server start
mysql already running?  (pid=99669).
[root@ns352115 ~/iRedMail-0.8.5]#
[ ns352115 ][                  0$ ekg  1$ bash  2-$ bash  (3*$bash)                  ][ 17/1216:07 ]
Check that mysqld is running and that the socket: '/tmp/mysql.sock' exists!
Warning: Using a password on the command line interface can be insecure.
ERROR 2003 (HY000): Can't connect to MySQL server on '127.0.0.1' (61)
Warning: Using a password on the command line interface can be insecure.
ERROR 2003 (HY000): Can't connect to MySQL server on '127.0.0.1' (61)
< INFO > Configure Postfix (Message Transfer Agent).
.
Starting mysql.
# iRedMail-postfix_enable
# iRedMail-postfix_enable
# iRedMail-sendmail_enable
# iRedMail-sendmail_enable
# iRedMail-sendmail_submit_enable
# iRedMail-sendmail_submit_enable
# iRedMail-sendmail_outbound_enable
# iRedMail-sendmail_outbound_enable
# iRedMail-sendmail_msp_queue_enable
# iRedMail-sendmail_msp_queue_enable
# iRedMail-daily_clean_hoststat_enable
# iRedMail-daily_clean_hoststat_enable
# iRedMail-daily_status_mail_rejects_enable
# iRedMail-daily_status_mail_rejects_enable
# iRedMail-daily_submit_queuerun
# iRedMail-daily_submit_queuerun
# iRedMail-daily_status_include_submit_mailq
# iRedMail-daily_status_include_submit_mailq
< INFO > Configure Policyd (postfix policy server, version 1.8).
pw: login name `policyd' already exists
Warning: Using a password on the command line interface can be insecure.
ERROR 2003 (HY000): Can't connect to MySQL server on '127.0.0.1' (61)
# iRedMail-postfix_policyd_sf_enable
# iRedMail-postfix_policyd_sf_enable
< INFO > Configure Dovecot (pop3/imap/managesieve server, version 2).
/var/log/dovecot.log    vmail:vmail   600  7     *    24    Z    /var/run/dovecot/master.pid
/var/log/dovecot.log    vmail:vmail   600  7     *    24    Z    /var/run/dovecot/master.pid
/var/log/sieve.log    vmail:vmail   600  7     *    24    Z    /var/run/dovecot/master.pid
/var/log/sieve.log    vmail:vmail   600  7     *    24    Z    /var/run/dovecot/master.pid
< INFO > Configure ClamAV (anti-virus toolkit).
# iRedMail-dovecot_enable
# iRedMail-dovecot_enable
# iRedMail-clamav_clamd_enable
# iRedMail-clamav_clamd_enable
# iRedMail-clamav_freshclam_enable
# iRedMail-clamav_freshclam_enable
^C
[root@ns352115 ~/iRedMail-0.8.5]# mysql -h 127.0.0.1 -u root
ERROR 1045 (28000): Access denied for user 'root'@'127.0.0.1' (using password: NO)
[root@ns352115 ~/iRedMail-0.8.5]# mysql -h 127.0.0.1 -u root -pmypassword
Warning: Using a password on the command line interface can be insecure.
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 915
Server version: 5.6.14 Source distribution

8

Re: Release version of the operating system on this server is unsupported

You have so many unexpected terminal output. Is it possible to re-install FreeBSD OS and try iRedMail-0.8.6?

9

Re: Release version of the operating system on this server is unsupported

I have problem only with this:
ERROR 2003 (HY000): Can't connect to MySQL server on '127.0.0.1' (61)

Other output are fine. I cant reinstall Freebsd, i have my webpage on this server.

10

Re: Release version of the operating system on this server is unsupported

On 0.8.6 i have this error with mysql too. Why iredadmin cant connect to mysql?

11

Re: Release version of the operating system on this server is unsupported

Ok, all installed all. I deleted my.cnf and all is ok. I have one error:

Can't open /usr/local/etc/cluebringer.conf: No such file or directory.
Can't open /usr/local/etc/cluebringer.conf: No such file or directory.
Can't open /usr/local/etc/cluebringer.conf: No such file or directory.
Can't open /usr/local/etc/cluebringer.conf: No such file or directory.
Can't open /usr/local/etc/cluebringer.conf: No such file or directory.
cp: /usr/local/share/policyd2/contrib/httpd/cluebringer-httpd.conf: No such file or directory

And what is wrong with my.cnf?

[client]
port = 3306
socket = /var/db/mysql/mysql.sock
#default-character-set=latin2
#default-character-set-client = latin2
#collation-client = latin2_general_ci
#character_set_connection = utf-9

[mysql]
#default-character-set=latin2

[mysqld]
#default-character-set=latin2
character-set-server=utf8
#collation-server=latin2_general_ci
#init-connect='SET NAMES latin2'
#skip-character-set-client-handshake
#language = polish
port = 3306
#datadir = /var/li/mysql
user = mysql
#socket = /var/lib/mysql/mysql.sock
#log-error = /var/log/mysql.log
local-infile=0

# Disabling symbolic-links is recommended to prevent assorted security risks
symbolic-links=0

sql-mode = NO_ENGINE_SUBSTITUTION
skip-name-resolve
back_log = 100
max_connections = 550
key_buffer_size = 384M
myisam_sort_buffer_size = 512M
myisam_max_sort_file_size = 8G

join_buffer_size = 256K
read_buffer_size = 256K
read_rnd_buffer_size = 1M
sort_buffer_size = 256K

table_definition_cache = 8000
table_open_cache = 8000
thread_cache_size = 512
wait_timeout = 60
interactive_timeout = 60
connect_timeout = 10
tmp_table_size = 800M
max_heap_table_size = 800M
max_allowed_packet = 256M
max_seeks_for_key = 1000
group_concat_max_len = 1024
max_length_for_sort_data = 1024
net_buffer_length = 16384
max_connect_errors = 100000
concurrent_insert = 2
bulk_insert_buffer_size = 8M

query_cache_limit = 1280K
query_cache_size = 64M
query_cache_type = 1

default-storage-engine = InnoDB
ft_stopword_file = ''

# InnoDB
innodb_buffer_pool_instances=24
innodb_flush_method=O_DIRECT
innodb_file_per_table = 1
innodb_open_files = 2000
innodb_data_file_path = ibdata1:256M:autoextend
innodb_buffer_pool_size = 48G
innodb_additional_mem_pool_size = 32M
innodb_log_files_in_group = 2
innodb_log_file_size = 512M
innodb_log_buffer_size = 8M
innodb_flush_log_at_trx_commit = 2
innodb_thread_concurrency = 24
innodb_io_capacity = 6000
innodb_read_io_threads = 8
innodb_write_io_threads = 2

long_query_time = 2
slow_query_log=0
slow_query_log_file=/var/log/slow-queries.log
#log-queries-not-using-indexes
ft_min_word_len = 3

server-id=1
expire_logs_days=2
max_binlog_size = 1000M
[mysqld_safe]
open-files-limit = 8192
#pid-file=/var/run/mysqld/mysqld.pid

[mysqldump]
quick
max_allowed_packet = 256M

[myisamchk]
key_buffer_size = 512M
sort_buffer_size = 1M
read_buffer_size = 1M
write_buffer_size = 1M

[mysqlhotcopy]
interactive-timeout

I need my config, because is better for my webpage performance.

12

Re: Release version of the operating system on this server is unsupported

*) First of all, as clearly mentioned in iRedMail installation guide, iRedMail requires a fresh server OS:

WARNING: iRedMail is designed to be deployed on a FRESH server system, which means your server does NOT have mail related components installed, e.g. MySQL, OpenLDAP, Postfix, Dovecot, Amavisd, etc (iRedMail will install and configure them for you automatically). Otherwise it may override your existing files/configurations althought it will backup files before modifing, and it may be not working as expected.

It's hard for us to detect your installed softwares and their config settings, please use a FRESH server system.

*) You can update MySQL config file to use your old settings, it's not that hard.
*) The error message means you don't have port 'mail/policyd2' installed.